import { Routes, RouterModule } from '@angular/router';

import { AppComponent } from './app.component'; 

// Route config let's you map routes to components
const routes: Routes = [ 
  // map '/persons/:id' to person details component
  {
    path: 'persons/:id',
    component: AppComponent
  },
  // map '/' to '/persons' as our default route
  /*{
    path: '',
    redirectTo: '/persons',
    pathMatch: 'full'
  },*/
];

export const routing = RouterModule.forRoot(routes);
