﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using AppinyaLib.Api;
using AppinyaLib.Database;
/// <summary>
/// Aplicació de Gestió Castellera
/// </summary>
/// <copyright>
/// Reconocimiento-NoComercial 3.0 España (CC BY-NC 3.0 ES)
/// </copyright>
/// <author>
/// Daniel Horta Vidal
/// </author>
namespace AppinyaLib.Api.Entities
{
    public class Assistencia
    {
        public Casteller Casteller { get; set; }
        public Esdeveniment Esdeveniment { get; set; } 
        public Boolean? Transport { get; set; }
        public int? NumAcompanyants { get; set; }
        public String Observacions { get; set; }
        public static implicit operator Assistencia(ASSISTENCIA ass)
        {
            if (ass == null) return null;
            return new Assistencia
            {
                 Casteller = ass.CASTELLER,
                 Esdeveniment = ass.ESDEVENIMENT,
                 Transport = ass.TRANSPORT,
                 NumAcompanyants = ass.NUM_ACOMPANYANTS  ,
                 Observacions = ass.OBSERVACIONS

            };
        }


    }
}