﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AppinyaLib.Database; 
using AppinyaLib.Comunication;
/// <summary>
/// Aplicació de Gestió Castellera
/// </summary>
/// <copyright>
/// Reconocimiento-NoComercial 3.0 España (CC BY-NC 3.0 ES)
/// </copyright>
/// <author>
/// Daniel Horta Vidal
/// </author>
namespace AppinyaLib.BS
{
    public static class ConvocatoriaBs
    {

        public static List<CONVOCATORIA> ConvocatoriesRecents()
        {
            using (castellersEntities db = new castellersEntities())
            {

                return db.CONVOCATORIA.ToList();
            }
        }
        public static CONVOCATORIA GetConvocatoria (int id)
        {
            using (castellersEntities db = new castellersEntities())
            {

                return db.CONVOCATORIA.Where(it => it.ID_CONVOCATORIA == id).FirstOrDefault();
            }
        }
        public static void RemoveConvocatoria (int id)
        {
            using (castellersEntities db = new castellersEntities())
            {

                CONVOCATORIA com = db.CONVOCATORIA.Where(it => it.ID_CONVOCATORIA == id).FirstOrDefault();
                db.CONVOCATORIA.Remove(com);
            }

        }

        public static void enviarConvocatoria (int idConvocatoria,String titol, String urlTemplate )
        {
            using (castellersEntities db = new castellersEntities())
            {
                // SendMail.SendEmailWithHtmlTemplate(titol, urlTemplatedb.CASTELLER.ToList()[0]); 
            }

        }
    }
}
