﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks; 
using AppinyaLib.Database;
using AppinyaLib.Comunication;
using AppinyaLib.Api.Entities;
/// <summary>
/// Aplicació de Gestió Castellera
/// </summary>
/// <copyright>
/// Reconocimiento-NoComercial 3.0 España (CC BY-NC 3.0 ES)
/// </copyright>
/// <author>
/// Daniel Horta Vidal
/// </author>
namespace AppinyaLib.BS
{
    public static class NoticiesBs
    {
        public static  List<NOTICIES> GetNoticies ()
        {
            using (castellersEntities db = new castellersEntities())
            {
                List<NOTICIES> lst = (from not in db.NOTICIES.Include("AspNetUsers").Include("AspNetUsers.AspNetRoles") where not.ACTIVA == true select not).ToList();
                return lst;

            }

        }
    }
}
