var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { Component } from '@angular/core';
import { Events, AlertController, NavController, LoadingController } from 'ionic-angular';
import { StoreData } from '../../providers/storage.data';
import { AuthenticateService } from "../../providers/authenticate.service";
var OblidarContrasenyaPage = (function () {
    function OblidarContrasenyaPage(navCtrl, storeData, authenticateService, events, alertCtrl, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.storeData = storeData;
        this.authenticateService = authenticateService;
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.login = {};
        this.submitted = false;
    }
    OblidarContrasenyaPage.prototype.onSendMail = function (form) {
        this.submitted = true;
        if (form.valid) {
            var loading_1 = this.loadingCtrl.create({
                content: 'Esperi, s\'esta enviant la confirmacio al servidor'
            });
            loading_1.present();
            this.authenticateService.oblidarConstrasenya(this.login.username).subscribe(function (tk) {
                loading_1.dismiss();
            }, function (err) {
                console.info(err);
                loading_1.dismiss();
            });
        }
    };
    return OblidarContrasenyaPage;
}());
OblidarContrasenyaPage = __decorate([
    Component({
        selector: 'oblidarContrasenya-usuari',
        templateUrl: 'login.html'
    }),
    __metadata("design:paramtypes", [NavController,
        StoreData,
        AuthenticateService,
        Events,
        AlertController,
        LoadingController])
], OblidarContrasenyaPage);
export { OblidarContrasenyaPage };
//# sourceMappingURL=oblidarConstrasenya.js.map