var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { Component } from '@angular/core';
import { SupportService } from "../../providers/support.service";
import { NoticiesListPage } from "../noticies-list/noticies-list";
import { AlertController, NavController, ToastController } from 'ionic-angular';
var SupportPage = (function () {
    function SupportPage(navCtrl, alertCtrl, toastCtrl, supportService) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
        this.supportService = supportService;
        this.submitted = false;
    }
    SupportPage.prototype.ionViewDidEnter = function () {
    };
    SupportPage.prototype.submit = function (form) {
        var _this = this;
        this.submitted = true;
        if (form.valid) {
            this.supportService.sendMailSupport(this.supportMessage).subscribe(function (t) {
                var toast = _this.toastCtrl.create({
                    message: 'S\'ha enviat notificacio a support',
                    duration: 3000
                });
                toast.present();
            }, function (e) {
                var toast = _this.toastCtrl.create({
                    message: 'Error: No s\'ha enviat el missatge',
                    duration: 3000
                });
                toast.present();
            });
            this.supportMessage = '';
            this.submitted = false;
            this.navCtrl.setRoot(NoticiesListPage, { tabIndex: 0 });
        }
    };
    return SupportPage;
}());
SupportPage = __decorate([
    Component({
        selector: 'page-user',
        templateUrl: 'support.html'
    }),
    __metadata("design:paramtypes", [NavController,
        AlertController,
        ToastController,
        SupportService])
], SupportPage);
export { SupportPage };
//# sourceMappingURL=support.js.map