var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { Component } from '@angular/core';
import { NavParams, Events } from 'ionic-angular';
import { SupportPage } from '../support/support';
import { EsdevenimentListPage } from '../esdeveniment-list/esdeveniment-list';
import { NoticiesListPage } from '../noticies-list/noticies-list';
import { CastellerListPage } from '../castellers-list/castellers-list';
import { StoreData } from '../../providers/storage.data';
var TabsPage = (function () {
    function TabsPage(navParams, store, events) {
        var _this = this;
        this.store = store;
        this.events = events;
        // set the root pages for each tab
        this.tab1Root = NoticiesListPage;
        this.tab2Root = EsdevenimentListPage;
        this.tab3Root = CastellerListPage;
        this.tab4Root = SupportPage;
        this.notification = null;
        this.mySelectedIndex = navParams.data.tabIndex || 0;
        this.notification = store.getNotificationNoticies().toString();
        if (this.notification === "0")
            this.notification = null;
        this.events.subscribe('push:noticies', function () {
            console.log("Notificacion de noticias TabsPage catched : " + store.getNotificationNoticies());
            _this.notification = store.getNotificationNoticies().toString();
            if (_this.notification === "0")
                _this.notification = null;
        });
    }
    TabsPage.prototype.isCasteller = function () {
        return this.store.isCasteller();
    };
    return TabsPage;
}());
TabsPage = __decorate([
    Component({
        templateUrl: 'tabs.html'
    }),
    __metadata("design:paramtypes", [NavParams, StoreData, Events])
], TabsPage);
export { TabsPage };
//# sourceMappingURL=tabs.js.map