﻿USE [dbappinya]
GO
/****** Object:  Table [dbo].[ACTUALITZACIONS]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ACTUALITZACIONS](
	[ID_TABLA] [varchar](50) NOT NULL,
	[DATA_MODIFICACIO] [datetime] NOT NULL,
 CONSTRAINT [PK_ACTUALITZACIONS] PRIMARY KEY CLUSTERED 
(
	[ID_TABLA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[AspNetRoles]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AspNetRoles](
	[Id] [nvarchar](128) NOT NULL,
	[Name] [nvarchar](256) NOT NULL,
 CONSTRAINT [PK_dbo.AspNetRoles] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[AspNetUserClaims]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AspNetUserClaims](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[UserId] [nvarchar](128) NOT NULL,
	[ClaimType] [nvarchar](max) NULL,
	[ClaimValue] [nvarchar](max) NULL,
 CONSTRAINT [PK_dbo.AspNetUserClaims] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[AspNetUserLogins]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AspNetUserLogins](
	[LoginProvider] [nvarchar](128) NOT NULL,
	[ProviderKey] [nvarchar](128) NOT NULL,
	[UserId] [nvarchar](128) NOT NULL,
 CONSTRAINT [PK_dbo.AspNetUserLogins] PRIMARY KEY CLUSTERED 
(
	[LoginProvider] ASC,
	[ProviderKey] ASC,
	[UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[AspNetUserRoles]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AspNetUserRoles](
	[UserId] [nvarchar](128) NOT NULL,
	[RoleId] [nvarchar](128) NOT NULL,
 CONSTRAINT [PK_dbo.AspNetUserRoles] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC,
	[RoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[AspNetUsers]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AspNetUsers](
	[Id] [nvarchar](128) NOT NULL,
	[Email] [nvarchar](256) NULL,
	[EmailConfirmed] [bit] NOT NULL,
	[PasswordHash] [nvarchar](max) NULL,
	[SecurityStamp] [nvarchar](max) NULL,
	[PhoneNumber] [nvarchar](max) NULL,
	[PhoneNumberConfirmed] [bit] NOT NULL,
	[TwoFactorEnabled] [bit] NOT NULL,
	[LockoutEndDateUtc] [datetime] NULL,
	[LockoutEnabled] [bit] NOT NULL,
	[AccessFailedCount] [int] NOT NULL,
	[UserName] [nvarchar](256) NOT NULL,
	[Name] [varchar](200) NULL,
	[LastName] [varchar](200) NULL,
 CONSTRAINT [PK_dbo.AspNetUsers] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[ASSISTENCIA]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ASSISTENCIA](
	[ID_CASTELLER] [int] NOT NULL,
	[ID_ESDEVENIMENT] [int] NOT NULL,
	[NUM_ACOMPANYANTS] [int] NULL,
	[IND_ESBORRAT] [bit] NOT NULL,
	[DATA_CREACIO] [date] NOT NULL,
	[TRANSPORT] [bit] NULL,
	[OBSERVACIONS] [varchar](200) NULL,
 CONSTRAINT [PK_ASSISTENCIA_1] PRIMARY KEY CLUSTERED 
(
	[ID_CASTELLER] ASC,
	[ID_ESDEVENIMENT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CASTELLER]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CASTELLER](
	[ID_CASTELLER] [int] IDENTITY(1,1) NOT NULL,
	[NOM] [varchar](50) NOT NULL,
	[COGNOMS] [varchar](200) NOT NULL,
	[ALIAS] [varchar](250) NOT NULL,
	[DATA_NAIXEMENT] [date] NULL,
	[DATA_ALTA] [date] NOT NULL,
	[TELEFON1] [varchar](100) NOT NULL,
	[TE_CAMISA] [bit] NOT NULL,
	[DATA_LLIUREAMENT] [date] NULL,
	[EMAIL] [nvarchar](256) NOT NULL,
	[TELEFON2] [varchar](100) NULL,
	[TWITTER] [varchar](100) NULL,
	[USER_ID] [nvarchar](128) NULL,
	[ES_BAIXA] [bit] NOT NULL,
	[IND_ESBORRAT] [bit] NOT NULL,
	[DATA_CREACIO] [datetime] NOT NULL,
	[DATA_MODIFICACIO] [datetime] NOT NULL,
	[DEUTE] [numeric](10, 2) NULL,
	[DATA_BAIXA] [datetime] NULL,
 CONSTRAINT [PK_CASTELLER] PRIMARY KEY CLUSTERED 
(
	[ID_CASTELLER] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CASTELLER_DELEGA]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CASTELLER_DELEGA](
	[ID_CASTELLER1] [int] NOT NULL,
	[ID_CASTELLER2] [int] NOT NULL,
	[DATA_ALTA] [date] NOT NULL,
	[CONFIRM] [bit] NOT NULL,
 CONSTRAINT [PK_CASTELLER_DELEGA] PRIMARY KEY CLUSTERED 
(
	[ID_CASTELLER1] ASC,
	[ID_CASTELLER2] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CONFIRMARCORREU_LOG]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CONFIRMARCORREU_LOG](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[EMAIL] [varchar](200) NOT NULL,
	[CLIENTID] [varchar](200) NOT NULL,
	[DATA] [date] NOT NULL,
	[TOKEN] [varchar](200) NOT NULL,
	[ANULAT] [bit] NOT NULL,
 CONSTRAINT [PK_ConfirmEmailTracker] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CONVOCATORIA]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CONVOCATORIA](
	[ID_CONVOCATORIA] [int] NOT NULL,
	[MISSATGE] [text] NOT NULL,
	[DATA_CREACIO] [datetime] NOT NULL,
	[ID_CASTELLER] [int] NULL,
 CONSTRAINT [PK_CONVOCATORIA] PRIMARY KEY CLUSTERED 
(
	[ID_CONVOCATORIA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[ESDEVENIMENT]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ESDEVENIMENT](
	[ID_ESDEVENIMENT] [int] IDENTITY(1,1) NOT NULL,
	[TITOL] [varchar](100) NULL,
	[TEXT] [varchar](1000) NULL,
	[ID_TIPUS] [int] NOT NULL,
	[DATA_INICI] [datetime] NOT NULL,
	[DATA_FI] [datetime] NOT NULL,
	[IMATGE] [varchar](250) NULL,
	[IMATGE_MINI] [varchar](250) NULL,
	[ID_USUARI_CREADOR] [int] NULL,
	[LATITUD] [numeric](18, 6) NULL,
	[LONGITUD] [numeric](18, 6) NULL,
	[IND_ESBORRAT] [bit] NOT NULL,
	[DATA_CREACIO] [datetime] NOT NULL,
	[DATA_MODIFICACIO] [datetime] NOT NULL,
	[OFREIX_TRANSPORT] [bit] NOT NULL,
 CONSTRAINT [PK_ESDEVENIMENT] PRIMARY KEY CLUSTERED 
(
	[ID_ESDEVENIMENT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Log]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Log](
	[ID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[FUNCTION] [varchar](100) NOT NULL,
	[ID_FUNCTION] [varchar](10) NOT NULL,
	[USER] [varchar](100) NOT NULL,
 CONSTRAINT [PK_Log] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[NOTICIES]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[NOTICIES](
	[ID_NOTICIES] [int] IDENTITY(1,1) NOT NULL,
	[DATA] [date] NOT NULL,
	[TITULO] [text] NOT NULL,
	[DESCRIPCIO] [text] NOT NULL,
	[URL] [text] NULL,
	[DATA_CREACIO] [datetime] NOT NULL,
	[DATA_MODIFICACIO] [datetime] NOT NULL,
	[ID_USUARI_REF] [nvarchar](128) NULL,
	[ACTIVA] [bit] NOT NULL,
 CONSTRAINT [PK_NOTICIES] PRIMARY KEY CLUSTERED 
(
	[ID_NOTICIES] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[TIPUS_ESDEVENIMENT]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TIPUS_ESDEVENIMENT](
	[ID_TIPUS_ESDEVENIMENT] [int] NOT NULL,
	[TITOL] [varchar](50) NOT NULL,
 CONSTRAINT [PK_TIPUS_ESDEVENIMENT] PRIMARY KEY CLUSTERED 
(
	[ID_TIPUS_ESDEVENIMENT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[ACTUALITZACIONS] ADD  CONSTRAINT [DF__ACTUALITZ__DATA___681373AD]  DEFAULT (getdate()) FOR [DATA_MODIFICACIO]
GO
ALTER TABLE [dbo].[ASSISTENCIA] ADD  CONSTRAINT [DF_ASSISTENCIA_IND_ESBORRAT]  DEFAULT ((1)) FOR [IND_ESBORRAT]
GO
ALTER TABLE [dbo].[ASSISTENCIA] ADD  CONSTRAINT [DF_ASSISTENCIA_DATA_CREACIO]  DEFAULT (getdate()) FOR [DATA_CREACIO]
GO
ALTER TABLE [dbo].[CASTELLER] ADD  CONSTRAINT [DF_CASTELLER_ES_BAIXA]  DEFAULT ((0)) FOR [ES_BAIXA]
GO
ALTER TABLE [dbo].[CASTELLER] ADD  CONSTRAINT [DF_CASTELLER_IND_BORRAT]  DEFAULT ((0)) FOR [IND_ESBORRAT]
GO
ALTER TABLE [dbo].[CASTELLER] ADD  CONSTRAINT [DF_CASTELLER_DATA_CREACIO]  DEFAULT (getdate()) FOR [DATA_CREACIO]
GO
ALTER TABLE [dbo].[CASTELLER] ADD  DEFAULT (getdate()) FOR [DATA_MODIFICACIO]
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA] ADD  CONSTRAINT [DF_CASTELLER_DELEGA_dataalta]  DEFAULT (getdate()) FOR [DATA_ALTA]
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA] ADD  DEFAULT ((0)) FOR [CONFIRM]
GO
ALTER TABLE [dbo].[CONFIRMARCORREU_LOG] ADD  CONSTRAINT [DF_ConfirmEmailTracker_DATA]  DEFAULT (getdate()) FOR [DATA]
GO
ALTER TABLE [dbo].[CONFIRMARCORREU_LOG] ADD  DEFAULT ((1)) FOR [ANULAT]
GO
ALTER TABLE [dbo].[ESDEVENIMENT] ADD  CONSTRAINT [DF_ESDEVENIMENT_IND_BORRAT]  DEFAULT ((0)) FOR [IND_ESBORRAT]
GO
ALTER TABLE [dbo].[ESDEVENIMENT] ADD  CONSTRAINT [DF_ESDEVENIMENT_DATA_CREACIO]  DEFAULT (getdate()) FOR [DATA_CREACIO]
GO
ALTER TABLE [dbo].[ESDEVENIMENT] ADD  DEFAULT (getdate()) FOR [DATA_MODIFICACIO]
GO
ALTER TABLE [dbo].[ESDEVENIMENT] ADD  DEFAULT ((0)) FOR [OFREIX_TRANSPORT]
GO
ALTER TABLE [dbo].[Log] ADD  CONSTRAINT [DF_Log_ID]  DEFAULT (newid()) FOR [ID]
GO
ALTER TABLE [dbo].[NOTICIES] ADD  CONSTRAINT [DF__NOTICIES__DATA_C__634EBE90]  DEFAULT (getdate()) FOR [DATA_CREACIO]
GO
ALTER TABLE [dbo].[NOTICIES] ADD  CONSTRAINT [DF__NOTICIES__DATA_M__6442E2C9]  DEFAULT (getdate()) FOR [DATA_MODIFICACIO]
GO
ALTER TABLE [dbo].[NOTICIES] ADD  CONSTRAINT [DF__NOTICIES__ACTIVA__1B9317B3]  DEFAULT ((1)) FOR [ACTIVA]
GO
ALTER TABLE [dbo].[AspNetUserClaims]  WITH CHECK ADD  CONSTRAINT [FK_dbo.AspNetUserClaims_dbo.AspNetUsers_UserId] FOREIGN KEY([UserId])
REFERENCES [dbo].[AspNetUsers] ([Id])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[AspNetUserClaims] CHECK CONSTRAINT [FK_dbo.AspNetUserClaims_dbo.AspNetUsers_UserId]
GO
ALTER TABLE [dbo].[AspNetUserLogins]  WITH CHECK ADD  CONSTRAINT [FK_dbo.AspNetUserLogins_dbo.AspNetUsers_UserId] FOREIGN KEY([UserId])
REFERENCES [dbo].[AspNetUsers] ([Id])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[AspNetUserLogins] CHECK CONSTRAINT [FK_dbo.AspNetUserLogins_dbo.AspNetUsers_UserId]
GO
ALTER TABLE [dbo].[AspNetUserRoles]  WITH CHECK ADD  CONSTRAINT [FK_dbo.AspNetUserRoles_dbo.AspNetRoles_RoleId] FOREIGN KEY([RoleId])
REFERENCES [dbo].[AspNetRoles] ([Id])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[AspNetUserRoles] CHECK CONSTRAINT [FK_dbo.AspNetUserRoles_dbo.AspNetRoles_RoleId]
GO
ALTER TABLE [dbo].[AspNetUserRoles]  WITH CHECK ADD  CONSTRAINT [FK_dbo.AspNetUserRoles_dbo.AspNetUsers_UserId] FOREIGN KEY([UserId])
REFERENCES [dbo].[AspNetUsers] ([Id])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[AspNetUserRoles] CHECK CONSTRAINT [FK_dbo.AspNetUserRoles_dbo.AspNetUsers_UserId]
GO
ALTER TABLE [dbo].[ASSISTENCIA]  WITH CHECK ADD  CONSTRAINT [FK_ASSISTENCIA_CASTELLER] FOREIGN KEY([ID_CASTELLER])
REFERENCES [dbo].[CASTELLER] ([ID_CASTELLER])
GO
ALTER TABLE [dbo].[ASSISTENCIA] CHECK CONSTRAINT [FK_ASSISTENCIA_CASTELLER]
GO
ALTER TABLE [dbo].[ASSISTENCIA]  WITH CHECK ADD  CONSTRAINT [FK_ASSISTENCIA_ESDEVENIMENT] FOREIGN KEY([ID_ESDEVENIMENT])
REFERENCES [dbo].[ESDEVENIMENT] ([ID_ESDEVENIMENT])
GO
ALTER TABLE [dbo].[ASSISTENCIA] CHECK CONSTRAINT [FK_ASSISTENCIA_ESDEVENIMENT]
GO
ALTER TABLE [dbo].[CASTELLER]  WITH CHECK ADD  CONSTRAINT [FK_CASTELLER_AspNetUsers] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[AspNetUsers] ([Id])
GO
ALTER TABLE [dbo].[CASTELLER] CHECK CONSTRAINT [FK_CASTELLER_AspNetUsers]
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA]  WITH CHECK ADD  CONSTRAINT [FK_CASTELLER_DELEGA_CASTELLER] FOREIGN KEY([ID_CASTELLER1])
REFERENCES [dbo].[CASTELLER] ([ID_CASTELLER])
ON UPDATE CASCADE
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA] CHECK CONSTRAINT [FK_CASTELLER_DELEGA_CASTELLER]
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA]  WITH CHECK ADD  CONSTRAINT [FK_CASTELLER_DELEGA_CASTELLER1] FOREIGN KEY([ID_CASTELLER2])
REFERENCES [dbo].[CASTELLER] ([ID_CASTELLER])
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA] CHECK CONSTRAINT [FK_CASTELLER_DELEGA_CASTELLER1]
GO
ALTER TABLE [dbo].[CONVOCATORIA]  WITH CHECK ADD  CONSTRAINT [FK_CONVOCATORIA_CASTELLER] FOREIGN KEY([ID_CASTELLER])
REFERENCES [dbo].[CASTELLER] ([ID_CASTELLER])
ON UPDATE CASCADE
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CONVOCATORIA] CHECK CONSTRAINT [FK_CONVOCATORIA_CASTELLER]
GO
ALTER TABLE [dbo].[ESDEVENIMENT]  WITH CHECK ADD  CONSTRAINT [FK_ESDEVENIMENT_TIPUS] FOREIGN KEY([ID_TIPUS])
REFERENCES [dbo].[TIPUS_ESDEVENIMENT] ([ID_TIPUS_ESDEVENIMENT])
GO
ALTER TABLE [dbo].[ESDEVENIMENT] CHECK CONSTRAINT [FK_ESDEVENIMENT_TIPUS]
GO
ALTER TABLE [dbo].[NOTICIES]  WITH CHECK ADD  CONSTRAINT [FK_NOTICIES_UserId] FOREIGN KEY([ID_USUARI_REF])
REFERENCES [dbo].[AspNetUsers] ([Id])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[NOTICIES] CHECK CONSTRAINT [FK_NOTICIES_UserId]
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA]  WITH CHECK ADD  CONSTRAINT [CK_CASTELLER_DELEGA] CHECK  (([ID_CASTELLER1]<>[ID_CASTELLER2]))
GO
ALTER TABLE [dbo].[CASTELLER_DELEGA] CHECK CONSTRAINT [CK_CASTELLER_DELEGA]
GO
/****** Object:  Trigger [dbo].[T_AspNetUsers_I]    Script Date: 13/05/2017 21:55:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 CREATE TRIGGER [dbo].[T_AspNetUsers_I] ON [dbo].[AspNetUsers] 
  AFTER INSERT
AS 
BEGIN
  -- SET NOCOUNT ON added to prevent extra result sets from
  -- interfering with SELECT statements.
  SET NOCOUNT ON;

  -- get the last id value of the record inserted or updated
    DECLARE @id uniqueidentifier
  SELECT @id = [Id]
  FROM INSERTED

  INSERT INTO AspNetUserRoles VALUES(@id,'USER')

END;
 
GO
ALTER TABLE [dbo].[AspNetUsers] ENABLE TRIGGER [T_AspNetUsers_I]
GO
/****** Object:  Trigger [dbo].[TRG_ASSISTENCIA_D]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 CREATE TRIGGER [dbo].[TRG_ASSISTENCIA_D] ON [dbo].[ASSISTENCIA] 
FOR DELETE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ASSISTENCIA';


GO
ALTER TABLE [dbo].[ASSISTENCIA] ENABLE TRIGGER [TRG_ASSISTENCIA_D]
GO
/****** Object:  Trigger [dbo].[TRG_ASSISTENCIA_I]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 CREATE TRIGGER [dbo].[TRG_ASSISTENCIA_I] ON [dbo].[ASSISTENCIA] 
FOR INSERT   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ASSISTENCIA';


GO
ALTER TABLE [dbo].[ASSISTENCIA] ENABLE TRIGGER [TRG_ASSISTENCIA_I]
GO
/****** Object:  Trigger [dbo].[TRG_ASSISTENCIA_U]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 

CREATE TRIGGER [dbo].[TRG_ASSISTENCIA_U] ON [dbo].[ASSISTENCIA] 
FOR UPDATE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ASSISTENCIA';


GO
ALTER TABLE [dbo].[ASSISTENCIA] ENABLE TRIGGER [TRG_ASSISTENCIA_U]
GO
/****** Object:  Trigger [dbo].[TRG_CASTELLERS]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 
 
 CREATE TRIGGER [dbo].[TRG_CASTELLERS] ON [dbo].[CASTELLER]
FOR INSERT ,UPDATE  
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='CASTELLERS'
	
	UPDATE dbo.CASTELLER SET DATA_MODIFICACIO=GETDATE()   FROM INSERTED i
   WHERE i.ID_CASTELLER = [CASTELLER].ID_CASTELLER; 





GO
ALTER TABLE [dbo].[CASTELLER] ENABLE TRIGGER [TRG_CASTELLERS]
GO
/****** Object:  Trigger [dbo].[TRG_ESDEVENIMENT]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
 CREATE TRIGGER [dbo].[TRG_ESDEVENIMENT] ON [dbo].[ESDEVENIMENT] 
FOR INSERT   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';


GO
ALTER TABLE [dbo].[ESDEVENIMENT] ENABLE TRIGGER [TRG_ESDEVENIMENT]
GO
/****** Object:  Trigger [dbo].[TRG_ESDEVENIMENT_D]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ALTER TABLE [dbo].[ESDEVENIMENT]  ADD  DATA_MODIFICACIO DATETIME not null default GETDATE();
--ALTER TABLE [dbo].CASTELLER  ADD  DATA_MODIFICACIO DATETIME not null default GETDATE(); 
 /*
CREATE TABLE [dbo].NOTICIES (
	[ID_NOTICIES] [int] NOT NULL,
	[TITULO] [text] NOT NULL,
	[DESCRIPCIO] [text] NOT NULL,
	[URL] [text] NOT NULL,
	[DATA_CREACIO] [datetime] NOT NULL default GETDATE(),
	[DATA_MODIFICACIO] [datetime] NOT NULL default GETDATE()
 CONSTRAINT [PK_NOTICIES] PRIMARY KEY  ([ID_NOTICIES])) ; 
 
 CREATE TABLE [dbo].ACTUALITZACIONS (
	[ID_TABLA] [varchar](50) NOT NULL,  
	[DATA_MODIFICACIO] [datetime] NOT NULL default GETDATE()
 CONSTRAINT [PK_ACTUALITZACIONS] PRIMARY KEY  ([ID_TABLA])) ; 

 INSERT INTO ACTUALITZACIONS (ID_TABLA,DATA_MODIFICACIO ) VALUES('ESDEVENIMENT',GETDATE());

 CREATE TRIGGER TRG_ESDEVENIMENT_I ON [dbo].ESDEVENIMENT 
FOR INSERT   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';

GO
 CREATE TRIGGER TRG_ESDEVENIMENT_U ON [dbo].ESDEVENIMENT 
FOR UPDATE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';

GO*/

 CREATE TRIGGER [dbo].[TRG_ESDEVENIMENT_D] ON [dbo].[ESDEVENIMENT] 
FOR DELETE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';


GO
ALTER TABLE [dbo].[ESDEVENIMENT] ENABLE TRIGGER [TRG_ESDEVENIMENT_D]
GO
/****** Object:  Trigger [dbo].[TRG_ESDEVENIMENT_U]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ALTER TABLE [dbo].[ESDEVENIMENT]  ADD  DATA_MODIFICACIO DATETIME not null default GETDATE();
--ALTER TABLE [dbo].CASTELLER  ADD  DATA_MODIFICACIO DATETIME not null default GETDATE(); 
 /*
CREATE TABLE [dbo].NOTICIES (
	[ID_NOTICIES] [int] NOT NULL,
	[TITULO] [text] NOT NULL,
	[DESCRIPCIO] [text] NOT NULL,
	[URL] [text] NOT NULL,
	[DATA_CREACIO] [datetime] NOT NULL default GETDATE(),
	[DATA_MODIFICACIO] [datetime] NOT NULL default GETDATE()
 CONSTRAINT [PK_NOTICIES] PRIMARY KEY  ([ID_NOTICIES])) ; 
 
 CREATE TABLE [dbo].ACTUALITZACIONS (
	[ID_TABLA] [varchar] NOT NULL,  
	[DATA_MODIFICACIO] [datetime] NOT NULL default GETDATE()
 CONSTRAINT [PK_ACTUALITZACIONS] PRIMARY KEY  ([ID_TABLA])) ; 

 CREATE TRIGGER TRG_ESDEVENIMENT_I ON [dbo].ESDEVENIMENT 
FOR INSERT   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';

GO*/
 CREATE TRIGGER [dbo].[TRG_ESDEVENIMENT_U] ON [dbo].[ESDEVENIMENT] 
FOR UPDATE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='ESDEVENIMENT';


GO
ALTER TABLE [dbo].[ESDEVENIMENT] ENABLE TRIGGER [TRG_ESDEVENIMENT_U]
GO
/****** Object:  Trigger [dbo].[TRG_NOTICIES_D]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TRIGGER [dbo].[TRG_NOTICIES_D] ON [dbo].[NOTICIES] 
FOR DELETE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='NOTICIES';

GO
ALTER TABLE [dbo].[NOTICIES] ENABLE TRIGGER [TRG_NOTICIES_D]
GO
/****** Object:  Trigger [dbo].[TRG_NOTICIES_I]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TRIGGER [dbo].[TRG_NOTICIES_I] ON [dbo].[NOTICIES] 
FOR INSERT   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='NOTICIES';

GO
ALTER TABLE [dbo].[NOTICIES] ENABLE TRIGGER [TRG_NOTICIES_I]
GO
/****** Object:  Trigger [dbo].[TRG_NOTICIES_U]    Script Date: 13/05/2017 21:55:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TRIGGER [dbo].[TRG_NOTICIES_U] ON [dbo].[NOTICIES] 
FOR UPDATE   
AS 
	UPDATE dbo.ACTUALITZACIONS SET DATA_MODIFICACIO = GETDATE() WHERE ID_TABLA ='NOTICIES';

GO
ALTER TABLE [dbo].[NOTICIES] ENABLE TRIGGER [TRG_NOTICIES_U]
GO
