﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

using System.Web;
using AppinyaLib.Comunication;
using System.Configuration;
using AppinyaServer.Models;
using AppinyaLib.BS;
using AppinyaLib.Api;
using AppinyaLib.Database;
using AppinyaLib.Api.Entities;
using log4net;
using log4net.Config;
/// <summary>
/// Aplicació de Gestió Castellera
/// </summary>
/// <copyright>
/// Reconocimiento-NoComercial 3.0 España (CC BY-NC 3.0 ES)
/// </copyright>
/// <author>
/// Daniel Horta Vidal
/// </author>
namespace AppinyaServer.Controllers
{

    /// <summary>
    ///   Servicios para la gestion de esdevenimientos 
    /// </summary> 
    [AllowAnonymous]
    [RoutePrefix("api/Noticies")]
    public class NoticiesController : ApiControllerExtension
    {
        private static readonly log4net.ILog log = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
        /*
         * GET: api/Noticies/get Recoge las noticies
         */
        // 

        [Route("get")]
        public List<Noticies> Get()
        {
            log.Debug("Peticion de Noticias" ); 
            return NoticiesBs.GetNoticies().Select<NOTICIES, Noticies>(x => x).ToList(); 
        }        
           
        
    }
}
