﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AppinyaLib.Database;
/// <summary>
/// Aplicació de Gestió Castellera
/// </summary>
/// <copyright>
/// Reconocimiento-NoComercial 3.0 España (CC BY-NC 3.0 ES)
/// </copyright>
/// <author>
/// Daniel Horta Vidal
/// </author>
namespace AppinyaLib.Api.Entities
{
    public class Noticies
    {
        public int Id { get; set; }
        public String Tittle { get; set; }
        public String DateStr { get; set; }
        public String Description { get; set; }
        public String Url { get; set; }
        public UserInfo UserRef { get; set; }

        public DateTime Date
        {
            set
            { 
                DateStr = ApiFunctions.convertApiDate(value);
            }
        }
        
        public static implicit operator Noticies(NOTICIES not)
        {
            if (not == null) return null;
            return new Noticies
            {
                Id = not.ID_NOTICIES,
                Tittle = not.TITULO,
                Date = not.DATA,
                Description = not.DESCRIPCIO,
                Url = not.URL,
                UserRef = not.AspNetUsers
                 
            };
        }
       
    }
}
