var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { NgModule } from '@angular/core';
import { IonicApp, IonicModule } from 'ionic-angular';
import { IonicStorageModule } from '@ionic/storage';
import { AppinyaApp } from './app.component';
import { CastellerListPage } from '../pages/castellers-list/castellers-list';
import { CastellerViewPage } from '../pages/castellers-det/castellers-view';
import { CastellerSoliPage } from '../pages/castellers-det/castellers-soli';
import { CastellerEditPage } from '../pages/castellers-det/castellers-edit';
import { Splashscreen } from 'ionic-native';
import { EsdevenimentViewPage } from '../pages/esdeveniment-det/esdeveniment-view';
import { EsdevenimentEditPage } from '../pages/esdeveniment-det/esdeveniment-edit';
import { EsdevenimentListPage } from '../pages/esdeveniment-list/esdeveniment-list';
import { EsdevenimentFilterPage } from '../pages/esdeveniment-list/esdeveniment-filter';
import { OblidarContrasenyaPage } from '../pages/login/oblidarConstrasenya';
import { NoticiesListPage } from '../pages/noticies-list/noticies-list';
import { ChangePasswordPage } from '../pages/account/changePassword';
import { AssistenciaListPage } from '../pages/assistencia-list/assistencia-list';
import { AssistenciaEditPage } from '../pages/assistencia-det/assistencia-edit';
import { AccountPage } from '../pages/account/account';
import { LoginPage } from '../pages/login/login';
import { MapPage } from '../pages/map/map';
import { SignupPage } from '../pages/signup/signup';
import { TabsPage } from '../pages/tabs/tabs';
import { TutorialPage } from '../pages/tutorial/tutorial';
import { SupportPage } from '../pages/support/support';
import { EsdevenimentService } from '../providers/esdeveniments.service';
import { AuthenticateService } from '../providers/authenticate.service';
import { SupportService } from '../providers/support.service';
import { NoticiesService } from '../providers/noticies.service';
import { StoreData } from '../providers/storage.data';
import { MappingLocal } from '../providers/mapping.local';
import { CastellersService } from '../providers/castellers.service';
import { AssistenciaService } from "../providers/assistencia.service";
import { PublicacionsService } from "../providers/publicacions.service";
var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    NgModule({
        declarations: [
            AppinyaApp,
            AccountPage,
            LoginPage,
            MapPage,
            EsdevenimentListPage,
            EsdevenimentFilterPage,
            EsdevenimentEditPage,
            EsdevenimentViewPage,
            NoticiesListPage,
            SignupPage,
            CastellerListPage,
            CastellerViewPage,
            CastellerSoliPage,
            CastellerEditPage,
            AssistenciaEditPage,
            OblidarContrasenyaPage,
            TabsPage,
            TutorialPage,
            SupportPage, ChangePasswordPage, AssistenciaListPage
        ],
        imports: [
            IonicModule.forRoot(AppinyaApp),
            IonicStorageModule.forRoot()
        ],
        bootstrap: [IonicApp],
        entryComponents: [
            AppinyaApp,
            AccountPage,
            LoginPage,
            MapPage,
            EsdevenimentListPage,
            EsdevenimentFilterPage,
            EsdevenimentEditPage,
            EsdevenimentViewPage,
            NoticiesListPage,
            SignupPage,
            CastellerListPage,
            CastellerViewPage,
            CastellerSoliPage,
            CastellerEditPage,
            AssistenciaEditPage,
            OblidarContrasenyaPage,
            TabsPage,
            TutorialPage,
            SupportPage,
            ChangePasswordPage, AssistenciaListPage
        ],
        providers: [Splashscreen, PublicacionsService, EsdevenimentService, StoreData, AuthenticateService, SupportService, NoticiesService, MappingLocal, CastellersService, AssistenciaService]
    })
], AppModule);
export { AppModule };
//# sourceMappingURL=app.module.js.map