var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { Component } from '@angular/core';
import { NavParams, ViewController } from 'ionic-angular';
var EsdevenimentFilterPage = (function () {
    function EsdevenimentFilterPage(navParams, viewCtrl) {
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.tracks = [{ name: "Entrenament", isChecked: true }, { name: "Diada", isChecked: true }];
        // passed in array of track names that should be excluded (unchecked)
        var excludedTrack = this.navParams.data;
        this.tracks.forEach(function (t) {
            excludedTrack.forEach(function (exclude) { if (exclude.name === t.name)
                t.isChecked = false; });
        });
    }
    EsdevenimentFilterPage.prototype.resetFilters = function () {
        this.tracks.forEach(function (track) {
            track.isChecked = true;
        });
    };
    EsdevenimentFilterPage.prototype.applyFilters = function () {
        var excludedTrackNames = this.tracks.filter(function (c) { return !c.isChecked; });
        this.dismiss(excludedTrackNames);
    };
    EsdevenimentFilterPage.prototype.dismiss = function (data) {
        this.viewCtrl.dismiss(data);
    };
    return EsdevenimentFilterPage;
}());
EsdevenimentFilterPage = __decorate([
    Component({
        selector: 'esdeveniment-filter',
        templateUrl: 'esdeveniment-filter.html'
    }),
    __metadata("design:paramtypes", [NavParams,
        ViewController])
], EsdevenimentFilterPage);
export { EsdevenimentFilterPage };
//# sourceMappingURL=esdeveniment-filter.js.map