var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
    Author: Daniel Horta Vidal
    Licence: Reconocimiento-NoComercial 3.0 Espa�a (CC BY-NC 3.0 ES)
**/
import { Component, ViewChild, ElementRef } from '@angular/core';
import { StoreData } from '../../providers/storage.data';
import { Platform } from 'ionic-angular';
var MapPage = (function () {
    function MapPage(confData, platform) {
        this.confData = confData;
        this.platform = platform;
    }
    MapPage.prototype.ionViewDidLoad = function () {
        var mapEle = this.mapElement.nativeElement;
        var latLng = new google.maps.LatLng(41.4336066, 2.1917966);
        var map = new google.maps.Map(mapEle, {
            center: latLng,
            zoom: 16
        });
        var infoWindow = new google.maps.InfoWindow({
            content: "<h5>Centre Entrenament</h5>"
        });
        var marker = new google.maps.Marker({
            map: map,
            animation: google.maps.Animation.DROP,
            position: map.getCenter()
        });
        marker.addListener('click', function () {
            infoWindow.open(map, marker);
        });
        google.maps.event.addListenerOnce(map, 'idle', function () {
            mapEle.classList.add('show-map');
        });
    };
    return MapPage;
}());
__decorate([
    ViewChild('mapCanvas'),
    __metadata("design:type", ElementRef)
], MapPage.prototype, "mapElement", void 0);
MapPage = __decorate([
    Component({
        selector: 'page-map',
        templateUrl: 'map.html'
    }),
    __metadata("design:paramtypes", [StoreData, Platform])
], MapPage);
export { MapPage };
//# sourceMappingURL=map.js.map